// Generated by gencpp from file ur_application/pop.msg
// DO NOT EDIT!


#ifndef UR_APPLICATION_MESSAGE_POP_H
#define UR_APPLICATION_MESSAGE_POP_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace ur_application
{
template <class ContainerAllocator>
struct pop_
{
  typedef pop_<ContainerAllocator> Type;

  pop_()
    : pop(0.0)  {
    }
  pop_(const ContainerAllocator& _alloc)
    : pop(0.0)  {
  (void)_alloc;
    }



   typedef double _pop_type;
  _pop_type pop;





  typedef boost::shared_ptr< ::ur_application::pop_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::ur_application::pop_<ContainerAllocator> const> ConstPtr;

}; // struct pop_

typedef ::ur_application::pop_<std::allocator<void> > pop;

typedef boost::shared_ptr< ::ur_application::pop > popPtr;
typedef boost::shared_ptr< ::ur_application::pop const> popConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::ur_application::pop_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::ur_application::pop_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::ur_application::pop_<ContainerAllocator1> & lhs, const ::ur_application::pop_<ContainerAllocator2> & rhs)
{
  return lhs.pop == rhs.pop;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::ur_application::pop_<ContainerAllocator1> & lhs, const ::ur_application::pop_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace ur_application

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::ur_application::pop_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::ur_application::pop_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::ur_application::pop_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::ur_application::pop_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::ur_application::pop_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::ur_application::pop_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::ur_application::pop_<ContainerAllocator> >
{
  static const char* value()
  {
    return "4e628c2409f06bc376c6f920be84cf66";
  }

  static const char* value(const ::ur_application::pop_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x4e628c2409f06bc3ULL;
  static const uint64_t static_value2 = 0x76c6f920be84cf66ULL;
};

template<class ContainerAllocator>
struct DataType< ::ur_application::pop_<ContainerAllocator> >
{
  static const char* value()
  {
    return "ur_application/pop";
  }

  static const char* value(const ::ur_application::pop_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::ur_application::pop_<ContainerAllocator> >
{
  static const char* value()
  {
    return "float64 pop\n"
;
  }

  static const char* value(const ::ur_application::pop_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::ur_application::pop_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.pop);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct pop_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::ur_application::pop_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::ur_application::pop_<ContainerAllocator>& v)
  {
    s << indent << "pop: ";
    Printer<double>::stream(s, indent + "  ", v.pop);
  }
};

} // namespace message_operations
} // namespace ros

#endif // UR_APPLICATION_MESSAGE_POP_H
